Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.core.synchronize
Class FastSyncInfoFilter.PseudoConflictFilter

    java.lang.Object
      org.eclipse.team.core.synchronize.SyncInfoFilter
          org.eclipse.team.core.synchronize.FastSyncInfoFilter
              org.eclipse.team.core.synchronize.FastSyncInfoFilter.PseudoConflictFilter

Enclosing class:
  FastSyncInfoFilter

public static class FastSyncInfoFilter.PseudoConflictFilter
extends FastSyncInfoFilter

Selects `SyncInfo` instances that are pseudo-conflicts.

Nested Class Summary

Nested classes inherited from class org.eclipse.team.core.synchronize.FastSyncInfoFilter
`FastSyncInfoFilter.AndSyncInfoFilter, FastSyncInfoFilter.AutomergableFilter, FastSyncInfoFilter.CompoundSyncInfoFilter, FastSyncInfoFilter.OrSyncInfoFilter, FastSyncInfoFilter.PseudoConflictFilter, FastSyncInfoFilter.SyncInfoChangeTypeFilter, FastSyncInfoFilter.SyncInfoDirectionFilter`

Nested classes inherited from class org.eclipse.team.core.synchronize.SyncInfoFilter
`SyncInfoFilter.ContentComparisonSyncInfoFilter`

Constructor Summary
`FastSyncInfoFilter.PseudoConflictFilter()`

Method Summary
`boolean` | `select(SyncInfo info)` Return whether the provided `SyncInfo` matches the filter.

Methods inherited from class org.eclipse.team.core.synchronize.FastSyncInfoFilter
`getDirectionAndChangeFilter, select`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastSyncInfoFilter.PseudoConflictFilter

    public FastSyncInfoFilter.PseudoConflictFilter()

Method Detail

### select

    public boolean select(SyncInfo info)

  Description copied from class: `FastSyncInfoFilter`
  Return whether the provided `SyncInfo` matches the filter. The default behavior it to include resources whose syncKind is non-zero.

  Overrides:
    `select` in class `FastSyncInfoFilter`
  Parameters:
    `info` - the `SyncInfo` being tested
  Returns:
    `true` if the `SyncInfo` matches the filter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.